Package org.eclipse.lemminx.xpath.matcher

## Class XPathAttributeMatcher

- java.lang.Object
- - org.eclipse.lemminx.xpath.matcher.AbstractXPathNodeMatcher
  - - org.eclipse.lemminx.xpath.matcher.XPathAttributeMatcher

All Implemented Interfaces:
  `IXPathNodeMatcher`

    public class XPathAttributeMatcher
    extends AbstractXPathNodeMatcher

XPath attribute matcher matches `Attr` of `Element`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.lemminx.xpath.matcher.IXPathNodeMatcher

`IXPathNodeMatcher.MatcherType`

### Field Summary

### Fields inherited from interface org.eclipse.lemminx.xpath.matcher.IXPathNodeMatcher

`EMPTY_NODE_MATCHER`

### Constructor Summary

Constructors
`XPathAttributeMatcher​(String attrName, String attrValue, XPathMatcher matcher)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttrName()` Returns the attribute name to match.
`String` `getAttrValue()` Returns the attribute value to match.
`int` `getIndexWildcard()` Returns the wildcard index and -1 if no wildcard is defined.
`IXPathNodeMatcher.MatcherType` `getType()` Returns matcher type.
`boolean` `hasWildcard()` Returns true if attrValue is wilcard or false otherwise.
`boolean` `isAny()` Returns true if matcher is any (Node is every time matched) and false otherwise.
`boolean` `match​(Node testNode, Collection<String> wildcardValues)` Match the `Node` and fill wildcard values if node matcher define widcard.

### Methods inherited from class org.eclipse.lemminx.xpath.matcher.AbstractXPathNodeMatcher

`getOwnerMatcher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathAttributeMatcher

    public XPathAttributeMatcher​(String attrName,
                                 String attrValue,
                                 XPathMatcher matcher)

### Method Detail

#### getType

    public IXPathNodeMatcher.MatcherType getType()

Description copied from interface: `IXPathNodeMatcher`
Returns matcher type.

Returns:

#### match

    public boolean match​(Node testNode,
                         Collection<String> wildcardValues)

Description copied from interface: `IXPathNodeMatcher`
Match the `Node` and fill wildcard values if node matcher define widcard.

Parameters:
  `testNode` - node to test.
  `wildcardValues` - wildcard values if node matcher define widcard.
Returns:

#### getAttrName

    public String getAttrName()

Returns the attribute name to match.

Returns:

#### getAttrValue

    public String getAttrValue()

Returns the attribute value to match.

Returns:

#### hasWildcard

    public boolean hasWildcard()

Returns true if attrValue is wilcard or false otherwise.

Returns:

#### getIndexWildcard

    public int getIndexWildcard()

Returns the wildcard index and -1 if no wildcard is defined.

Returns:

#### isAny

    public boolean isAny()

Description copied from interface: `IXPathNodeMatcher`
Returns true if matcher is any (Node is every time matched) and false otherwise.

Returns: